Last Comment Bug 1187014 - Use "you" in preference strings, not "me"
: Use "you" in preference strings, not "me"
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Preferences (show other bugs)
: unspecified
: Unspecified Unspecified
-- normal (vote)
: Firefox 53
Assigned To: Jalen Adams
:
: Jared Wein [:jaws] (please needinfo? me)
Mentors:
Depends on:
Blocks: 1324168
  Show dependency treegraph
 
Reported: 2015-07-23 12:10 PDT by Jared Wein [:jaws] (please needinfo? me)
Modified: 2017-01-13 15:29 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed

MozReview Requests
Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:
Show discarded requests

Attachments
Bug 1187014 - Use 'you' in preference strings, not 'me'. (59 bytes, text/x-review-board-request)
2017-01-12 18:45 PST, Jalen Adams
jaws: review+
Details | Review

Description User image Jared Wein [:jaws] (please needinfo? me) 2015-07-23 12:10:06 PDT Comment hidden (obsolete)
Comment 1 User image Matej Novak [:matej] 2015-07-23 12:33:14 PDT
I actually feel the opposite and have been pushing for us to remove references to "me" and "my" from our UI. While agree that Firefox is "mine" (i.e. the user's), the preferences and settings should come from the "voice" of the browser. If we throw first-person pronouns into the mix, it starts to become ambiguous as to whether it's the browser or the user speaking. We should strive to be consistent for sure, but my vote is for "you" and "your."

(That said, the strings that start with "warn" in comment 0 would have to be reworked if we made the change globally.)
Comment 2 User image Jared Wein [:jaws] (please needinfo? me) 2015-07-23 12:37:38 PDT
Thanks, I've updated the summary.

For the strings starting with "warn", we could maybe drop the "me" and just use "Warn when closing multiple tabs" or use "Warn you when closing multiple tabs".
Comment 3 User image Jared Wein [:jaws] (please needinfo? me) 2016-12-16 21:58:52 PST
From "Point of View" section of https://firefoxux.github.io/StyleGuide/#/copyrules,
In general, use the second person (you) to address the user in Firefox products. Firefox is a user agent, and this point of view reinforces the message that “Firefox works for you.”

Avoid using the first person (my, I) in the interface, as it can create confusion about who is being addressed.
Comment 4 User image Jared Wein [:jaws] (please needinfo? me) 2017-01-06 08:59:50 PST
Hey Jalen, would you like to take this bug?
Comment 5 User image Jalen Adams 2017-01-08 05:52:57 PST
(In reply to Jared Wein [:jaws] (please needinfo? me) from comment #4)
> Hey Jalen, would you like to take this bug?

Sure, I can take this one.
Comment 6 User image Jalen Adams 2017-01-12 18:45:56 PST Comment hidden (mozreview-request)
Comment 7 User image Jared Wein [:jaws] (please needinfo? me) 2017-01-13 08:11:28 PST
Comment on attachment 8826442 [details]
Bug 1187014 - Use 'you' in preference strings, not 'me'.

https://reviewboard.mozilla.org/r/104392/#review105230
Comment 8 User image Pulsebot 2017-01-13 08:12:19 PST
Pushed by jwein@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/86e55de5106e
Use 'you' in preference strings, not 'me'. r=jaws
Comment 9 User image Wes Kocher (:KWierso) 2017-01-13 15:29:35 PST
https://hg.mozilla.org/mozilla-central/rev/86e55de5106e

Note You need to log in before you can comment on or make changes to this bug.